Package org.opensaml.soap.wstrust

# Interface RequestSecurityTokenResponseCollection

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSTrustObject`, `XMLObject`

All Known Subinterfaces:
  `IssuedTokens`

All Known Implementing Classes:
  `IssuedTokensImpl`, `RequestSecurityTokenResponseCollectionImpl`

public interface RequestSecurityTokenResponseCollection extends AttributeExtensibleXMLObject, WSTrustObject
The wst:RequestSecurityTokenResponseCollection element.

See Also:
  - "WS-Trust 1.3 Specification"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<RequestSecurityTokenResponse>`
`getRequestSecurityTokenResponses()`
Returns the list of wst:RequestSecurityTokenResponse child elements.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getRequestSecurityTokenResponses

@Nonnull @Live List<RequestSecurityTokenResponse> getRequestSecurityTokenResponses()
Returns the list of wst:RequestSecurityTokenResponse child elements.

Returns:
  The list of `RequestSecurityTokenResponse`s.